Bug 642932 - guestmount options should match guestfish options
guestmount options should match guestfish options
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Depends On: 642934
  Show dependency treegraph
Reported: 2010-10-14 04:38 EDT by Richard W.M. Jones
Modified: 2011-07-14 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-07-14 15:19:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-10-14 04:38:07 EDT
Description of problem:

guestmount should be updated so the options match
guestfish.  In particular, -i, -a, -d should work
identically for both.

Can we share common code for option parsing?
Comment 1 Richard W.M. Jones 2010-10-27 07:22:26 EDT
Patch posted upstream:

Note You need to log in before you can comment on or make changes to this bug.